Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
libreoffice-bin przestał działać
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish)
View previous topic :: View next topic  
Author Message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 836
Location: /mnt/Gentoo/

PostPosted: Wed Sep 26, 2012 10:27 am    Post subject: libreoffice-bin przestał działać Reply with quote

Witam,

Chciałem uruchomić Libreoffice-bin dzisiaj i zonk, pokazał się przez sekunde ekran startowy i potem nic.
Spróbowałem z konsoli:
Code:
$ libreoffice
/usr/lib64/libreoffice/program/soffice.bin: error while loading shared libraries: libgraphite2.so.2.0.0: cannot open shared object file: No such file or directory


Okazało się że nie może znaleźć libgraphite2.so.2.0.0: więc przeemergowałem to jeszcze raz i dla spokoju odinstalowałem i zainstalowałem na nowo cały libreoffice-bin. Efekt - ciągle ten sam problem. Probowałem kilka raz revdep-rebuild - bez efektu :(

Code:
*  app-office/libreoffice-bin
      Latest version available: 3.5.5.3
      Latest version installed: 3.5.5.3


Code:
media-gfx/graphite2
      Latest version available: 1.2.0
      Latest version installed: 1.2.0
Back to top
View user's profile Send private message
Garrappachc
Guru
Guru


Joined: 26 Dec 2008
Posts: 357
Location: Kraków

PostPosted: Wed Sep 26, 2012 6:57 pm    Post subject: Reply with quote

Code:
ls /usr/lib/libgraphite2.so*

i podlinkuj sobie.

Btw, Linux to nie windows i reinstalacja programu nigdy nie naprawi problemu.
_________________
De profundis clamavi ad Te, Domine

emerge --info | virtual aviation
Back to top
View user's profile Send private message
SlashBeast
Moderator
Moderator


Joined: 23 May 2006
Posts: 2836

PostPosted: Thu Sep 27, 2012 8:18 am    Post subject: Reply with quote

Upewnij sie, ze masz media-gfx/graphite2. Ten pakiet jest wpisany w depy wiec powinienes go miec w systemie.
_________________
BitBucket -- better-initramfs
Back to top
View user's profile Send private message
Xywa
l33t
l33t


Joined: 23 Jul 2005
Posts: 836
Location: /mnt/Gentoo/

PostPosted: Tue Oct 02, 2012 1:31 pm    Post subject: Reply with quote

SlashBeast wrote:
Upewnij sie, ze masz media-gfx/graphite2. Ten pakiet jest wpisany w depy wiec powinienes go miec w systemie.


Dzięki za odpowiedzi, pomogł downgrade bo był bug, teraz już zreszta naprawiony.

franzf wrote:
I have graphite2-1.3.0 installed, which comes with libgraphite2.so.2.0.0
Could you look which .so-version gets installed with graphite2-1.2.0 ($ qlist graphite2 - you need to emerge portageutils). If it does not match ".so.2.0.0", youneed to downgrade.

There is already a bugreport marked "INVALID":
https://bugs.gentoo.org/show_bug.cgi?id=436240
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Polskie forum (Polish) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum